; File CKERMOD.INI, Sample C-Kermit 5A customization file for OS/2.
;
; This file, which is ONLY A SAMPLE, should be called:
;
;   .mykermrc   (UNIX, OS-9, Aegis)
;   CKERMOD.INI (VMS, OpenVMS, AOS/VS, OS/2, Amiga, Atari ST)
;
; MODify it to suit your needs and preferences, and install it in the same
; directory as your C-Kermit initialization file.  The design of this file
; lets you fill in a section for each different operating system where you
; run C-Kermit.  This file is executed automatically by the standard C-Kermit
; initialization file, CKERMIT.INI (or .kermrc).
;
; Authors: Christine Gianone, Frank da Cruz, Columbia University.
; Date:    23 November 1992

COMMENT - Settings that apply to all the systems I use:
;
set delay 1                     ; I escape back quickly
set dial display on             ; I like to watch C-Kermit dial
set window 2                    ; Use 2 window slots
set block 3                     ; Use 16-bit CRC error checking        
set receive packet-length 1000  ; Use 1000-character Kermit packets 

; The remaining commands in this file depend on the script programming
; language.  Here we make sure we have it, then we use it to go to the
; section that applies to the type of system where C-Kermit is running:
;
set take error on               ; Make errors fatal temporarily
check if                        ; Do we have an IF command?
set take error off              ; Yes we do, back to normal
goto \v(system)                 ; Go execute system-dependent commands

:UNIX                           ; UNIX, all versions...
set delay 1                     ; I escape back quickly
def mydial set modem hayes, -   ; Define a macro for dialing out...
   set line /dev/acu, -
   if fail end 1, -
   set speed 2400, -
   if fail end 1, -
   dial \%1, -
   if fail end 1, -
   connect
def nasa -                      ; Get latest news from NASA
   telnet spacelink.msfc.nasa.gov
end                             ; End of UNIX section

:VMS                            ; VMS and OpenVMS
def mydial set modem telebit, - ; Macro for dialing out...
   set line txa5, -
   if fail end 1, -
   set speed 19200, -
   if fail end 1, -
   dial \%1, -
   if fail end 1, -
   connect
define on_exit -                ; Print a message when Kermit exits
   echo Returning you to \v(system) now.
end                             ; End of VMS section

:OS/2                           ; OS/2 customizations...
set modem hayes                 ; I have a Hayes modem
set port com1                   ; on communication port 1
set speed 19200                 ; at this speed
set flow rts/cts                ; It uses hardware flow control
set server display on           ; Show file display in server mode too
;
; OS/2 character sets, change if necessary.  In OS/2, your current PC code
; page is used automatically as the FILE character-set and as the local half
; of your TERMINAL character-set, but this assumes that OS/2 reports it
; correctly, which might not be a safe assumption, especially if it is not
; CP437 or CP850.
;
set command byte 8              ; Use 8 bits between Kermit and console
set xfer char latin1            ; Use Latin-1 for text file transfer
set term char latin1            ; And use Latin-1 during CONNECT mode
;
; OS/2 key redefinitions
;
set key \27 \96                 ; Swap the Escape and Accent-Grave keys
set key \96 \27                 ; during CONNECT mode
end                             ; End of OS/2 section

:OS9/68K                        ; OS-9/68000
set line /t3                    ; I want to use /t3 at 9600 bps
xif success { -
    set speed 9600, -
    echo { Communications line set to /t3, 9600 bps} -
}
end                             ; End of OS-9 section

:AOS/VS                         ; Data General AOS/VS
def mydial set modem hayes, -   ; Macro for dialing out with Hayes modem...
   set line @con3, -            ; Only works if modem is on @con3
   if fail end 1, -
   set speed 2400, -            ; and is set for 2400bps
   if fail end 1, -
   dial \%1, -
   if fail end 1, -
   connect
end

; And so on, you get the idea...
; Fill in the sections that apply to you.

:Amiga                          ; Commodore Amiga
:Atari_ST                       ; Atari ST
:Macintosh                      ; Apple Macintosh
:unknown                        ; Others

; (End of CKERMOD.INI)
